# 
# YAML file storing the IPMC information, for the IPMCs the application is going to check.
# Each entry is placed under "ipmcs" top-level entry, and each entry maps the:
#
# IPMC serial # -> IPMC IP address
# 

ipmcs:
  5:  "192.168.21.5" # Pure IP addresses work
  32: "openipmc0032" # Host names are supported as well 
  37: "openipmc0037" # if a valid DNS config is given.
  42: "openipmc0042"

# 
# DNS setup, the IP address of the DNS server and the search domains
# are specified here.
# 
# This DNS server is used to support host names for IPMC IP addresses
# (e.g. openipmc0001)
# 
dns:
  server:
    - 192.168.1.4
  search_domain:
    - "edf.lo"


#
# Grafana related settings.
# If exists, the IP address and the port of Graphite server should be 
# specified here.
# 
# User can choose not to push data to Graphite by setting push: false.
#
graphite:
  push: true
  identifier: "INVENTORY.IPMC" # First two fields of the Graphite name
  server:
    ip: 192.168.10.20
    port: 2003


# 
# SnipeIT API related settings are defined here.
# 
snipeit:
  base_url: 'http://ohm.bu.edu:8000/api/v1/hardware' # Endpoint for API calls

# 
# GitLab API related settings are defined here.
# 
gitlab:
  project_id: 25395488 # Project ID for the OpenIPMC FW on GitLab


# 
# Configuration specifying to poll the database and IPMCs every X seconds. 
#
poll_time: 3600